const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const smart_link_destinations = sequelize.define(
    'smart_link_destinations',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

destination_url: {
        type: DataTypes.TEXT,
      
      

      },

sort_order: {
        type: DataTypes.INTEGER,
      
      

      },

is_primary: {
        type: DataTypes.BOOLEAN,
      
        allowNull: false,
        defaultValue: false,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  smart_link_destinations.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity












































//end loop



    db.smart_link_destinations.belongsTo(db.smart_links, {
      as: 'smart_link',
      foreignKey: {
        name: 'smart_linkId',
      },
      constraints: false,
    });

    db.smart_link_destinations.belongsTo(db.distribution_platforms, {
      as: 'platform',
      foreignKey: {
        name: 'platformId',
      },
      constraints: false,
    });

    db.smart_link_destinations.belongsTo(db.organizations, {
      as: 'organizations',
      foreignKey: {
        name: 'organizationsId',
      },
      constraints: false,
    });




    db.smart_link_destinations.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.smart_link_destinations.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return smart_link_destinations;
};


